#!/bin/bash

poetry run bash -c "cd /tmp; pytest -m smoke_test"
exit_code=$?

# Redo deprovision just in case
poetry run python /app/deprovision_cli.py

# copy the report to the mounted volume for the GC CI to pick up
cp /tmp/junit.xml /usr/reports/poke_report.xml
mkdir -p /opt/reports/
cp /tmp/junit.xml /opt/reports/poke_report.xml
cp /tmp/report.html /usr/reports/report.html
cp /tmp/integration-test.log /usr/reports/integration-test.log

# sleep for a while to give the CI enough time to copy the results
sleep 120

exit $exit_code
